Axuz Developers

POST /me/folders

Criar folder pessoal

  • Access: Signed in
  • Service: https://files-api.axuz.net

Accepted authentication

  • sessionCookie — Sessão plena Axuz (cookie de sessão da casa). Sessão restrita é 403 enrollment_required.
  • bearerSession — JWT de acesso da sessão em `Authorization: Bearer`.

This operation's description comes from the handler comment in the code (in Portuguese).

Parameters

No parameters.

Request body

application/json · Required

NameTypeRequiredDescription
namestringyes
parent_idstring<uuid>no
{
  "name": "string",
  "parent_id": "00000000-0000-0000-0000-000000000000"
}

Responses

201

Criado

NameTypeRequiredDescription
idstring<uuid>yes
team_idstring<uuid> | nullyes
parent_idstring<uuid> | nullno
namestringyes
created_bystring<uuid>yes
created_atstring<date-time>yes

401

Sem credencial valida

NameTypeRequiredDescription
errorstringyes

429

Limite de requisições excedido.

NameTypeRequiredDescription
errorstringyes

500

Erro interno. Tente de novo com backoff; reporte o X-Request-Id.

NameTypeRequiredDescription
errorstringyes

Examples

"Try it" is turned off in this reference. Use the examples with your test credential.

curl

curl -sS -X POST 'https://files-api.axuz.net/me/folders' \
  -H "Authorization: Bearer $AXUZ_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","parent_id":"00000000-0000-0000-0000-000000000000"}'

Node.js

const res = await fetch("https://files-api.axuz.net/me/folders", {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.AXUZ_TOKEN}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "name": "string",
    "parent_id": "00000000-0000-0000-0000-000000000000"
  }),
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());

Python

import os
import requests

res = requests.request(
    "POST",
    "https://files-api.axuz.net/me/folders",
    headers={
        "Authorization": f"Bearer {os.environ['AXUZ_TOKEN']}",
    },
    json={
        "name": "string",
        "parent_id": "00000000-0000-0000-0000-000000000000",
    },
    timeout=30,
)
res.raise_for_status()
print(res.json())